Skip to content
English

Operation Status

GET/v1/operations/{operation_id}

Returns the current state of an operation by its id. While status is equal to queued or running, the operation is not completed. Once completed, check result on success or error on error.

Authentication and access · Errors and retries

Request

Terminal window
curl -X GET 'https://adapt-mail.com/v1/operations/<operation_id>' \
-H 'Authorization: Bearer <access_token>'

Parameters

operation_idpathNecessarily

string · uuid

X-Customer-IDheader
Option 1

string

Option 2

null

Responses

200 Successful response

application/json

object

id

string · uuid

Operation ID for checking the status and canceling a pending submission.

kind

string

mailbox_id
Option 1

integer

Option 2

null

status

string

Valid values: "queued" "running" "succeeded" "failed" "uncertain" "cancelled"

run_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

created_at

string

Date and time in UTC. If there is no offset, the value also represents UTC.

completed_at
Option 1

string

Date and time in UTC. If there is no offset, the value also represents UTC.

Option 2

null

error

The reason for the error if the operation did not complete successfully.

Option 1

string

Option 2

null

result

The result of the operation. For sending, contains information about accepted and rejected recipients.

Option 1

object

Option 2

null

401 Login required

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

403 No access

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

404 Resource not found

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

409 State conflict

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object

422 Validation error

application/json

object

detail

array

Array elements

object

locNecessarily

array

Array elements
Option 1

string

Option 2

integer

msgNecessarily

string

typeNecessarily

string

503 Temporarily unavailable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Array elements

object